Bug 6773 - CircAutoCompl uses unlimited query
Summary: CircAutoCompl uses unlimited query
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: 3.6
Hardware: All All
: PATCH-Sent (DO NOT USE) minor (vote)
Assignee: Ian Walls
QA Contact: Bugs List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 2084
  Show dependency treegraph
 
Reported: 2011-08-25 02:11 UTC by Ian Walls
Modified: 2012-10-25 23:09 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Signed Off Patch (1.78 KB, patch)
2011-09-23 13:45 UTC, Ian Walls
Details | Diff | Splinter Review
Signed off Patch (minor revision to text) (1.76 KB, patch)
2011-09-23 13:48 UTC, Ian Walls
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Ian Walls 2011-08-25 02:11:22 UTC
The SQL in circ/ysearch.pl is unlimited as to the number of results it returns, and since it's called for each character typed into the patron search interface, databases with many patrons (100,000+) can experience resource drain.  Further, since the interface only returns 10 results at a time, the bulk of the work done by the query goes to waste.

The SQL in circ/ysearch.pl should limit to 10 results only, and the system preference text in the staff client should note this limitation, for the administrator's knowledge.
Comment 1 Ian Walls 2011-09-23 13:45:40 UTC Comment hidden (obsolete)
Comment 2 Ian Walls 2011-09-23 13:48:53 UTC
Created attachment 5567 [details] [review]
Signed off Patch (minor revision to text)

Adds LIMIT 10 to SQL search, since only 10 results are returned in the interface at the time.

(minor language issue in circ.pref... fixed in this update)
Comment 3 Chris Cormack 2011-09-25 02:06:00 UTC
Nice change, pushed please test
Comment 4 Ian Walls 2011-11-15 12:41:07 UTC
Fix is now committed, marking as resolved.